﻿Imports Infragistics.Windows.DataPresenter

Class MainWindow

    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()

        Me.DataContext = New MainWindowViewModel

    End Sub

    Private Sub Image_MouseLeftButtonDown(ByVal sender As System.Object, ByVal e As System.Windows.Input.MouseButtonEventArgs)
        Dim dr As DataRecordPresenter = CType(Infragistics.Windows.Utilities.GetAncestorFromType(CType(sender, DependencyObject), GetType(DataRecordPresenter), False), DataRecordPresenter)
        dr.Record.IsSelected = True
    End Sub

    Private Sub XamDataCards1_InitializeRecord(ByVal sender As System.Object, ByVal e As Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs)
        If TypeOf e.Record Is DataRecord Then
            Dim dr As DataRecord = CType(e.Record, DataRecord)
            If dr.Cells("Name").Value.ToString = "Item 1" Then
                dr.Cells("Name").Field.Settings.CellValuePresenterStyle = DirectCast(Me.Resources("TestBackColor"), Style)
            End If
        End If
    End Sub
End Class
